Package com.independentsoft.office.spreadsheet

# Enum Class IndexedColor

java.lang.Object
java.lang.Enum<IndexedColor>
com.independentsoft.office.spreadsheet.IndexedColor

All Implemented Interfaces:
  `Serializable`, `Comparable<IndexedColor>`, `Constable`

public enum IndexedColor extends Enum<IndexedColor>
The Enum IndexedColor.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANTIQUE_WHITE`
  `AQUA`
  `ARGB_000066CC`
  `ARGB_00660066`
  `ARGB_009999FF`
  `ARGB_0099CC00`
  `ARGB_00FF8080`
  `BLACK`
  `BLUE`
  `BLUE_GRAY`
  `BROWN`
  `CYAN`
  `DARK_GREEN`
  `DARK_TEAL`
  `GOLD`
  `GRAY`
  `GRAY_40`
  `GRAY_80`
  `GREEN`
  `INDIGO`
  `LAVENDER`
  `LIGHT_BLUE`
  `LIGHT_GREEN`
  `LIGHT_ORANGE`
  `LIGHT_TURQUOISE`
  `LIGHT_YELLOW`
  `LIME`
  `MAGENTA`
  `MAROON`
  `NAVY`
  `NONE`
  `OLIVE`
  `OLIVE_GREEN`
  `ORANGE`
  `PALE_BLUE`
  `PLUM`
  `POWDER_BLUE`
  `PURPLE`
  `RED`
  `ROSE`
  `SEA_GREEN`
  `SILVER`
  `SKY_BLUE`
  `SYSTEM_BACKGROUND`
  `SYSTEM_FOREGROUND`
  `TAN`
  `TEAL`
  `WHITE`
  `YELLOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IndexedColor`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static IndexedColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLACK

    public static final IndexedColor BLACK

  - ### WHITE

    public static final IndexedColor WHITE

  - ### RED

    public static final IndexedColor RED

  - ### LIME

    public static final IndexedColor LIME

  - ### BLUE

    public static final IndexedColor BLUE

  - ### YELLOW

    public static final IndexedColor YELLOW

  - ### MAGENTA

    public static final IndexedColor MAGENTA

  - ### CYAN

    public static final IndexedColor CYAN

  - ### MAROON

    public static final IndexedColor MAROON

  - ### GREEN

    public static final IndexedColor GREEN

  - ### NAVY

    public static final IndexedColor NAVY

  - ### OLIVE

    public static final IndexedColor OLIVE

  - ### PURPLE

    public static final IndexedColor PURPLE

  - ### TEAL

    public static final IndexedColor TEAL

  - ### SILVER

    public static final IndexedColor SILVER

  - ### GRAY

    public static final IndexedColor GRAY

  - ### ARGB_009999FF

    public static final IndexedColor ARGB_009999FF

  - ### PLUM

    public static final IndexedColor PLUM

  - ### ANTIQUE_WHITE

    public static final IndexedColor ANTIQUE_WHITE

  - ### LIGHT_TURQUOISE

    public static final IndexedColor LIGHT_TURQUOISE

  - ### ARGB_00660066

    public static final IndexedColor ARGB_00660066

  - ### ARGB_00FF8080

    public static final IndexedColor ARGB_00FF8080

  - ### ARGB_000066CC

    public static final IndexedColor ARGB_000066CC

  - ### POWDER_BLUE

    public static final IndexedColor POWDER_BLUE

  - ### SKY_BLUE

    public static final IndexedColor SKY_BLUE

  - ### LIGHT_GREEN

    public static final IndexedColor LIGHT_GREEN

  - ### LIGHT_YELLOW

    public static final IndexedColor LIGHT_YELLOW

  - ### PALE_BLUE

    public static final IndexedColor PALE_BLUE

  - ### ROSE

    public static final IndexedColor ROSE

  - ### LAVENDER

    public static final IndexedColor LAVENDER

  - ### TAN

    public static final IndexedColor TAN

  - ### LIGHT_BLUE

    public static final IndexedColor LIGHT_BLUE

  - ### AQUA

    public static final IndexedColor AQUA

  - ### ARGB_0099CC00

    public static final IndexedColor ARGB_0099CC00

  - ### GOLD

    public static final IndexedColor GOLD

  - ### LIGHT_ORANGE

    public static final IndexedColor LIGHT_ORANGE

  - ### ORANGE

    public static final IndexedColor ORANGE

  - ### BLUE_GRAY

    public static final IndexedColor BLUE_GRAY

  - ### GRAY_40

    public static final IndexedColor GRAY_40

  - ### DARK_TEAL

    public static final IndexedColor DARK_TEAL

  - ### SEA_GREEN

    public static final IndexedColor SEA_GREEN

  - ### DARK_GREEN

    public static final IndexedColor DARK_GREEN

  - ### OLIVE_GREEN

    public static final IndexedColor OLIVE_GREEN

  - ### BROWN

    public static final IndexedColor BROWN

  - ### INDIGO

    public static final IndexedColor INDIGO

  - ### GRAY_80

    public static final IndexedColor GRAY_80

  - ### SYSTEM_FOREGROUND

    public static final IndexedColor SYSTEM_FOREGROUND

  - ### SYSTEM_BACKGROUND

    public static final IndexedColor SYSTEM_BACKGROUND

  - ### NONE

    public static final IndexedColor NONE

- ## Method Details

  - ### values

    public static IndexedColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IndexedColor valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null